---
title: Screen.onorientationchange
slug: Web/API/Screen/onorientationchange
tags:
  - API
  - CSSOM View
  - Deprecated
  - Event Handler
  - Property
  - Screen Orientation
---
<p>{{APIRef("Screen Orientation API")}}{{Deprecated_Header}}</p>

<div class="notecard warning">
<p><strong>Warning:</strong> This is a non-standard deprecated feature which was implemented only in Firefox under a different name. Use {{DOMxRef("ScreenOrientation.onchange")}} instead.</p>
</div>

<p>An event handler for the {{domxref("Window/orientationchange_event", "orientationchange")}} events sent to the screen object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">screen.onorientationchange = <var>funcRef</var>;
</pre>

<p>Where <code>funcRef</code> is a reference to a function.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Screen Orientation', 'published/20140220.html#extensions-to-the-screen-interface', 'onorientationchange')}}</td>
   <td>{{Spec2('Screen Orientation')}}</td>
   <td>Initial definition (Not present in the draft anymore)</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Screen.onorientationchange")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("orientationchange")}}</li>
 <li><a href="/en-US/docs/Managing_screen_orientation">Managing screen orientation</a></li>
</ul>
